## NAME

v.split - Splits vector lines to shorter segments.

## KEYWORDS

vector, geometry, densification, node, segment, vertex

## SYNOPSIS

v.split
v.split --help
v.split [-nf] input=name [layer=string] output=name [length=float] [units=string] [vertices=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-n
  Add new vertices, but do not split
  Applies only to 'length' option
-f
  Force segments to be exactly of given length, except for last one
  Applies only to 'length' option
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for output vector map
length=float
  Maximum segment length
units=string
  Length units
  Options: map, meters, kilometers, feet, surveyfeet, miles, nautmiles
  Default: map
vertices=integer
  Maximum number of vertices in segment

## DESCRIPTION

v.split splits vector lines into shorter segments using a maximal distance between nodes. The resulting length of all segments is expected to be equal and not higher than the given length parameter.

## EXAMPLES

The examples are based on the North Carolina sample data location.

### Example 1: Inserting nodes to railroad lines map

    # extract one railroad line for this example
    v.extract input=railroads output=myrr cats=1

    # show line, category, direction (to find the beginning)
    g.region vector=myrr
    d.erase
    d.vect myrr display=shape,cat,dir

    # insert nodes at a distance not longer than 1000m
    v.split input=myrr output=myrr_split_1km length=1000

    d.vect myrr_split_1km display=shape,topo

Note: In case that the vector line data are not polylines, generate first polylines as the second step, eg.:

    # join segments into polyline
    v.build.polylines input=myrr output=myrr_polylines
    # regenerate categories
    v.category input=myrr_polylines output=myrailroads option=add

### Example 2: Inserting vertices to railroad lines map

Note: first run the two steps from example 1.

    # insert vertices at a distance not longer than 1000m
    v.split -n input=myrr output=myrr_split length=1000
    d.vect myrr_split display=shape,topo

## SEE ALSO

v.edit, v.build.polylines, v.to.points, v.segment

## AUTHOR

Radim Blazek

Last changed: $Date: 2016-03-10 18:02:58 +0100 (Thu, 10 Mar 2016) $

## SOURCE CODE

Available at: v.split source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.2.0 Reference Manual